/*
 * GCTaskFactory.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file GCTaskFactory.hh
 *
 * Header file for a task factory that produces GCTaskAdvocate's.
 */

#ifndef _gc_task_factory_hh
#define _gc_task_factory_hh

#include <TaskFactory_T.hh>

#include "GCTaskAdvocate.hh"

/**
 * Typedef for a TaskFactory template that uses the GCTaskAdvocate.
 */
typedef class TaskFactoryTemplate<GCTaskAdvocate> GCTaskFactory;

#endif
