/*
 * MaxTaskFactory.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file MaxTaskFactory.hh
 *
 * Header file for a task factory that produces MaxTaskAdvocate's.
 */

#ifndef _max_task_factory_hh
#define _max_task_factory_hh

#include <TaskFactory_T.hh>

#include "MaxTaskAdvocate.hh"

/**
 * Typedef for a TaskFactory template that uses the MaxTaskAdvocate.
 */
typedef class TaskFactoryTemplate<MaxTaskAdvocate> MaxTaskFactory;

#endif
