/*
 * RTServer_busy.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#ifndef _rt_server_busy_hh
#define _rt_server_busy_hh

#include "RTServerS.h"

class RTServer_busy : public virtual POA_RTServer
{

public:

    RTServer_busy(CORBA::ULong deadline_us,
		  CORBA::ULong *compute_us,
		  unsigned int compute_us_length);
    
    virtual void Periodic(void)
      throw (CORBA::SystemException);

protected:

    CORBA::ULong rts_Deadline;

    struct {
	CORBA::ULong *data;
	unsigned int length;
	unsigned int index;
    } rts_Compute;
    
};

#endif
