/*
 * RTServer_hourglass.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#ifndef _rt_server_hourglass_hh
#define _rt_server_hourglass_hh

#include "RTServerS.h"

/**
 * The 
 */
class RTServer_hourglass : public virtual POA_RTServer
{

public:

    RTServer_hourglass(CORBA::ULong deadline_us);

    virtual void Periodic(void)
	throw (CORBA::SystemException);

protected:

    CORBA::ULong rts_Deadline;
    
};

#endif
