/*
 * GlacialTaskFactory.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file GlacialTaskFactory.hh
 *
 * Header file for a task factory that produces GlacialTaskAdvocate's.
 */

#ifndef _glacial_task_factory_hh
#define _glacial_task_factory_hh

#include <TaskFactory_T.hh>

#include "GlacialTaskAdvocate.hh"

/**
 * Typedef for a TaskFactory template that uses the GlacialTaskAdvocate.
 */
typedef class TaskFactoryTemplate<GlacialTaskAdvocate> GlacialTaskFactory;

#endif
