/*
 * glacial_task_factory.cc
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#include "config.h"

#include <iostream>

#include <BrokerC.h>

#include <GlacialTaskFactory.hh>

#include "ServerMain_T.hh"
#include "NamingHelper_T.h"

int main(int argc, char *argv[])
{
    struct ServerMainDefaults smd = {
	"GlacialTaskFactory",
	"glacial_task_factory.ior",
    };
    
    return( server_main<GlacialTaskFactory, Broker::TaskFactory_var>(smd,
								     argc,
								     argv) );
}

template class NamingHelper<CosNaming::NamingContext>;
